Package org.eclipse.jdt.core.manipulation

## Interface OrganizeImportsOperation.IChooseImportQuery

Enclosing class:
  OrganizeImportsOperation

    public static interface OrganizeImportsOperation.IChooseImportQuery

### Method Summary

All Methods Instance Methods Abstract Methods
`TypeNameMatch[]` `chooseImports​(TypeNameMatch[][] openChoices, ISourceRange[] ranges)` Selects imports from a list of choices.

### Method Detail

#### chooseImports

    TypeNameMatch[] chooseImports​(TypeNameMatch[][] openChoices,
                                  ISourceRange[] ranges)

Selects imports from a list of choices.

Parameters:
  `openChoices` - From each array, a type reference has to be selected
  `ranges` - For each choice the range of the corresponding type reference.
Returns:
  Returns `null` to cancel the operation, or the selected imports.